# Join interaction convo

Add the user making the request to the conversation associated with this interaction.
Note that only users of type `Agent` can join conversations. (i.e., `Service` and `Borrower`
users cannot join conversations.)

Endpoint: POST /interactions/{interactionId}/convo/join
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `interactionId` (string, required)
    Interaction's unique identifier to track interactions for. Can be Peach
or lender's external identifier.

## Request fields (application/json):

  - `joinType` (string)
    The method of joining the conversation.
- `solo` - only add agent to conversation if there are no other agents in conversations
- `add` - simply add agent to conversation
- `takeover` - remove all other agents from conversation, the add agent
    Enum: "solo", "add", "takeover"

